com.hazelcast.config

## Enum PermissionConfig.PermissionType

- java.lang.Object
- - java.lang.Enum<PermissionConfig.PermissionType>
  - - com.hazelcast.config.PermissionConfig.PermissionType

- All Implemented Interfaces:
    Serializable, Comparable<PermissionConfig.PermissionType>
  Enclosing class:
    PermissionConfig

      public static enum PermissionConfig.PermissionType
      extends Enum<PermissionConfig.PermissionType>

  Type of permission

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All
    `ATOMIC_LONG` Atomic long
    `ATOMIC_REFERENCE` Atomic long
    `CACHE` JCache/ICache
    `CARDINALITY_ESTIMATOR` Cardinality Estimator
    `CONFIG` Configuration permission
    `COUNTDOWN_LATCH` Countdown Latch
    `DURABLE_EXECUTOR_SERVICE` Durable Executor Service
    `EXECUTOR_SERVICE` Executor Service
    `FLAKE_ID_GENERATOR` Flake ID generator
    `ID_GENERATOR` ID generator
    `LIST` List
    `LOCK` Lock
    `MAP` Map
    `MULTIMAP` MultiMap
    `PN_COUNTER` CRDT PN Counter
    `QUEUE` Queue
    `SCHEDULED_EXECUTOR` Scheduled executor service
    `SEMAPHORE` Semaphore
    `SET` Set
    `TOPIC` Topic
    `TRANSACTION` Transaction
    `USER_CODE_DEPLOYMENT` User code deployment

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNodeName()`
    `static PermissionConfig.PermissionType` | `getType(String nodeName)`
    `static PermissionConfig.PermissionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PermissionConfig.PermissionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAP

          public static final PermissionConfig.PermissionType MAP

      Map

    - #### QUEUE

          public static final PermissionConfig.PermissionType QUEUE

      Queue

    - #### TOPIC

          public static final PermissionConfig.PermissionType TOPIC

      Topic

    - #### MULTIMAP

          public static final PermissionConfig.PermissionType MULTIMAP

      MultiMap

    - #### LIST

          public static final PermissionConfig.PermissionType LIST

      List

    - #### SET

          public static final PermissionConfig.PermissionType SET

      Set

    - #### ID_GENERATOR

          public static final PermissionConfig.PermissionType ID_GENERATOR

      ID generator

    - #### FLAKE_ID_GENERATOR

          public static final PermissionConfig.PermissionType FLAKE_ID_GENERATOR

      Flake ID generator

    - #### LOCK

          public static final PermissionConfig.PermissionType LOCK

      Lock

    - #### ATOMIC_LONG

          public static final PermissionConfig.PermissionType ATOMIC_LONG

      Atomic long

    - #### ATOMIC_REFERENCE

          public static final PermissionConfig.PermissionType ATOMIC_REFERENCE

      Atomic long

    - #### COUNTDOWN_LATCH

          public static final PermissionConfig.PermissionType COUNTDOWN_LATCH

      Countdown Latch

    - #### SEMAPHORE

          public static final PermissionConfig.PermissionType SEMAPHORE

      Semaphore

    - #### EXECUTOR_SERVICE

          public static final PermissionConfig.PermissionType EXECUTOR_SERVICE

      Executor Service

    - #### TRANSACTION

          public static final PermissionConfig.PermissionType TRANSACTION

      Transaction

    - #### DURABLE_EXECUTOR_SERVICE

          public static final PermissionConfig.PermissionType DURABLE_EXECUTOR_SERVICE

      Durable Executor Service

    - #### CARDINALITY_ESTIMATOR

          public static final PermissionConfig.PermissionType CARDINALITY_ESTIMATOR

      Cardinality Estimator

    - #### SCHEDULED_EXECUTOR

          public static final PermissionConfig.PermissionType SCHEDULED_EXECUTOR

      Scheduled executor service

    - #### CACHE

          public static final PermissionConfig.PermissionType CACHE

      JCache/ICache

    - #### USER_CODE_DEPLOYMENT

          public static final PermissionConfig.PermissionType USER_CODE_DEPLOYMENT

      User code deployment

    - #### ALL

          public static final PermissionConfig.PermissionType ALL

      All

    - #### CONFIG

          public static final PermissionConfig.PermissionType CONFIG

      Configuration permission

    - #### PN_COUNTER

          public static final PermissionConfig.PermissionType PN_COUNTER

      CRDT PN Counter

  - ### Method Detail

    - #### values

          public static PermissionConfig.PermissionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionConfig.PermissionType c : PermissionConfig.PermissionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionConfig.PermissionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public static PermissionConfig.PermissionType getType(String nodeName)

    - #### getNodeName

          public String getNodeName()

Copyright © 2020. All rights reserved.